Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification.topics
Class WstConstants

    java.lang.Object
      org.apache.muse.ws.notification.topics.WstConstants

public class WstConstants
extends java.lang.Object

WstConstants is a collection of properties and methods that is useful when programming against the WS-Topics spec. This class uses WS-T v1.3.

Author:
  Dan Jemiolo (danj)

Field Summary
`static java.lang.String` | `CONCRETE_TOPIC_URI`
`static java.lang.String` | `DIALECT`
`static java.lang.String` | `FINAL`
`static java.lang.String` | `FULL_TOPIC_URI`
`static java.lang.String` | `MESSAGE_TYPES`
`static java.lang.String` | `NAMESPACE_URI`
`static QName` | `PATTERN_QNAME`
`static java.lang.String` | `PREFIX`
`static java.lang.String` | `SIMPLE_TOPIC_URI`
`static QName` | `TOPIC_NAMESPACE_QNAME`
`static QName` | `TOPIC_QNAME`
`static QName` | `TOPIC_SET_QNAME`

Constructor Summary
`WstConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### CONCRETE_TOPIC_URI

    public static final java.lang.String CONCRETE_TOPIC_URI

See Also:
  Constant Field Values

### DIALECT

    public static final java.lang.String DIALECT

See Also:
  Constant Field Values

### FINAL

    public static final java.lang.String FINAL

See Also:
  Constant Field Values

### FULL_TOPIC_URI

    public static final java.lang.String FULL_TOPIC_URI

See Also:
  Constant Field Values

### MESSAGE_TYPES

    public static final java.lang.String MESSAGE_TYPES

See Also:
  Constant Field Values

### PATTERN_QNAME

    public static final QName PATTERN_QNAME

### SIMPLE_TOPIC_URI

    public static final java.lang.String SIMPLE_TOPIC_URI

See Also:
  Constant Field Values

### TOPIC_NAMESPACE_QNAME

    public static final QName TOPIC_NAMESPACE_QNAME

### TOPIC_QNAME

    public static final QName TOPIC_QNAME

### TOPIC_SET_QNAME

    public static final QName TOPIC_SET_QNAME

Constructor Detail

### WstConstants

    public WstConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD